Index: /trunk/src/TropFlux_19890101_20091231.pro
===================================================================
--- /trunk/src/TropFlux_19890101_20091231.pro	(revision 93)
+++ /trunk/src/TropFlux_19890101_20091231.pro	(revision 94)
@@ -405,5 +405,6 @@
 ENDIF
 ;
-da1=19880101 & da2=20101231
+da1=19880101 
+da2=20101231
 ;
 initncdf, fullfilename_msk
@@ -414,5 +415,6 @@
 ws=read_ncdf('ws',da1,da2,file=fullfilename_ws,/nostr)
 wg=read_ncdf('wg',da1-1,da2,file=fullfilename_wg,/nostr)
-tt=time & jpt=n_elements(time)
+tt=time 
+jpt=n_elements(time)
 sst=read_ncdf('sst',da1,da2,file=fullfilename_sst,/nostr)
 sst=reform(sst-273.15)
@@ -430,5 +432,6 @@
 ocean=where(msk eq 1,compl=land)
 valmask=1.e20
-time=tt & jpt=n_elements(time)
+time=tt 
+jpt=n_elements(time)
 
 ;
@@ -460,18 +463,31 @@
   print, 'Computing Fluxes ',jt,' / ',jpt-1
 ;
-;  P=msl(*,*,jt) & P=P(ocean)
-  wn=w(*,*,jt) & wn=wn(ocean)          ; wind speed (m/s)
-  ts=sst(*,*,jt) & ts=ts(ocean)        ; Bulk sst (°C)
+;  P=msl(*,*,jt) 
+;  P=P(ocean)
+
+  ; wind speed (m/s)
+  wn=w(*,*,jt) 
+  wn=wn(ocean)          
+  ; Bulk sst (°C)
+  ts=sst(*,*,jt) 
+  ts=ts(ocean)        
   ; 2m Air T (°C)
   t=t2m(*,*,jt) 
   t=t(ocean)           
-  qs=qsee(ts,P)                        ; Sea surface sat. spec. humidity (g/kg)
-  q=q2m(*,*,jt) & q=q(ocean)           ; 2m AIr specific humidity  (g/kg)
-  Rs=swd(*,*,jt) & Rs=Rs(ocean)        ; Downward solar flux (W/m2)
+  ; Sea surface sat. spec. humidity (g/kg)
+  qs=qsee(ts,P)                        
+  ; 2m AIr specific humidity  (g/kg)
+  q=q2m(*,*,jt) 
+  q=q(ocean)           
+  ; Downward solar flux (W/m2)
+  Rs=swd(*,*,jt) 
+  Rs=Rs(ocean)
   ylat=gphit(ocean)
-;  cld=calc_cloud(jday,Rs,ylat)
+  ;  cld=calc_cloud(jday,Rs,ylat)
   cld=calc_cloud_vlat(jday,Rs,ylat)
-;  Rl=lwdown_clark(ts,q,cld,t,P)        ; Downward IR flux (W/m2)
-  Rl=lw(*,*,jt) & Rl=Rl(ocean)
+  ; Downward IR flux (W/m2)
+  ;  Rl=lwdown_clark(ts,q,cld,t,P)        
+  Rl=lw(*,*,jt) 
+  Rl=Rl(ocean)
   rain=0.
   lw_clrk=-lwnet_clark(ts,q,cld,t,P)
@@ -524,10 +540,12 @@
 endfor
 tt=time
-time=timegen(7670, start=julday(1,1,1989,0), units='days') & jpt=n_elements(time)
+time=timegen(7670, start=julday(1,1,1989,0), units='days') 
+jpt=n_elements(time)
 ;
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
 tt=time-julday(1,1,1950,00,00,00)
-xlon=reform(glamt(*,0) ) & ylat=reform(gphit(0,*))
+xlon=reform(glamt(*,0) ) 
+ylat=reform(gphit(0,*))
 
 ncfile='!' + fullfilename_out
Index: /trunk/src/TropFlux_NRT_ncdf.pro
===================================================================
--- /trunk/src/TropFlux_NRT_ncdf.pro	(revision 93)
+++ /trunk/src/TropFlux_NRT_ncdf.pro	(revision 94)
@@ -187,5 +187,6 @@
 ENDIF
 ;
-st=19800101 & en=20101231
+st=19800101 
+en=20101231
 
 initncdf, fullfilename_swr_blnd
@@ -202,6 +203,8 @@
 help, swr, lwr, lhf, shf
 
-;time=julday(1,1,1989)+lindgen(7670)+0.5 & jpt=n_elements(time)
-time=timegen(7670, units='days', start=julday(1,1,1989,0)) & jpt=n_elements(time)
+;time=julday(1,1,1989)+lindgen(7670)+0.5 
+;jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989,0)) 
+jpt=n_elements(time)
 
 cda0=string(jul2date(time(0)),format='(i8.8)')
Index: /trunk/src/TropFlux_swr_BLND_19890101_20091231.pro
===================================================================
--- /trunk/src/TropFlux_swr_BLND_19890101_20091231.pro	(revision 93)
+++ /trunk/src/TropFlux_swr_BLND_19890101_20091231.pro	(revision 94)
@@ -274,5 +274,6 @@
 swr_merged=swr_dt*0.
 
-time=timegen(7670, units='days', start=julday(1,1,1989,0)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989,0)) 
+jpt=n_elements(time)
 
 a=interpol([1.,0.],[julday(10,01,2007),julday(12,31,2007)],time)
@@ -283,5 +284,6 @@
 
 initncdf, fullfilename_wg
-time=timegen(7670, units='days', start=julday(1,1,1989,0)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989,0)) 
+jpt=n_elements(time)
 lat=reform(gphit(0,0:jpj-1))
 lon=reform(glamt(0:jpi-1,0))
Index: /trunk/src/TropFlux_swr_DT_19890101_20071231.pro
===================================================================
--- /trunk/src/TropFlux_swr_DT_19890101_20071231.pro	(revision 93)
+++ /trunk/src/TropFlux_swr_DT_19890101_20071231.pro	(revision 94)
@@ -179,7 +179,9 @@
 help, sw_mean
 
-tt=time & jpt=n_elements(time)
+tt=time 
+jpt=n_elements(time)
 caldat, time,mon,day,yea
-sw_m=sw*0. &  sw_bias=sw*0.
+sw_m=sw*0. 
+sw_bias=sw*0.
 
 for jt=0,jpt-1 do begin
@@ -202,5 +204,6 @@
 lat=reform(gphit(0,0:jpj-1))
 lon=reform(glamt(0:jpi-1,0))
-time=time-julday(1,1,1950) & jpt=n_elements(time)
+time=time-julday(1,1,1950) 
+jpt=n_elements(time)
 
 ncfile='!' + fullfilename_out
Index: /trunk/src/TropFlux_swr_NRT_19890101_20091231.pro
===================================================================
--- /trunk/src/TropFlux_swr_NRT_19890101_20091231.pro	(revision 93)
+++ /trunk/src/TropFlux_swr_NRT_19890101_20091231.pro	(revision 94)
@@ -207,6 +207,9 @@
 nsmooth=45
 
-swi=[[[swi]],[[swi]],[[swi]]] & olri=[[[olri]],[[olri]],[[olri]]]
-si=size(sw) & n1=si(1) & n2=si(2)
+swi=[[[swi]],[[swi]],[[swi]]] 
+olri=[[[olri]],[[olri]],[[olri]]]
+si=size(sw) 
+n1=si(1) 
+n2=si(2)
 
 for j=0,n2-1 do begin
@@ -219,12 +222,15 @@
 endfor
 
-swi=swi[*,*,365:365+364] & olri=olri[*,*,365:365+364]
+swi=swi[*,*,365:365+364] 
+olri=olri[*,*,365:365+364]
 help, swi
 
 initncdf, fullfilename_olr
 olr=read_ncdf('olr', 19890100, 20091231, box=box, file=fullfilename_olr,/nostr)
-tt=time & jpt=n_elements(time)
+tt=time 
+jpt=n_elements(time)
 caldat, time,mon,day,yea
-swm=olr*0. & olrm=olr*0.
+swm=olr*0. 
+olrm=olr*0.
 for jt=0,jpt-1 do begin
   jtt=(time(jt)-julday(1,1,yea(jt))) < 364
@@ -244,5 +250,6 @@
 lat=reform(gphit(0,0:jpj-1))
 lon=reform(glamt(0:jpi-1,0))
-time=time-julday(1,1,1950) & jpt=n_elements(time)
+time=time-julday(1,1,1950) 
+jpt=n_elements(time)
 
 ncfile='!' + fullfilename_out
Index: /trunk/src/calc_cloud_vlat.pro
===================================================================
--- /trunk/src/calc_cloud_vlat.pro	(revision 93)
+++ /trunk/src/calc_cloud_vlat.pro	(revision 94)
@@ -23,5 +23,6 @@
 
 pi=!pi
-xlat=double(xlat) & NN=n_elements(xlat)
+xlat=double(xlat) 
+NN=n_elements(xlat)
 
 CLD=SWR*0.+!values.f_nan
Index: /trunk/src/cronin_gustiness_ncdf.pro
===================================================================
--- /trunk/src/cronin_gustiness_ncdf.pro	(revision 93)
+++ /trunk/src/cronin_gustiness_ncdf.pro	(revision 94)
@@ -61,5 +61,5 @@
 ; coding rules
 ;
-; why da1=19880101 & da2=20101231 ? should be 19890101 and 20091231 or better
+; why da1=19880101 and da2=20101231 ? should be 19890101 and 20091231 or better
 ; deduce from reading sst
 ;
@@ -135,5 +135,6 @@
 ENDIF
 ;
-da1=19880101 & da2=20101231
+da1=19880101 
+da2=20101231
 ;
 ; build data filename
@@ -159,5 +160,6 @@
 ;
 initncdf, fullfilename
-sst=read_ncdf('sst',da1,da2,file=fullfilename,/nostr) & sst=reform(sst-273.15)
+sst=read_ncdf('sst',da1,da2,file=fullfilename,/nostr) 
+sst=reform(sst-273.15)
 help, sst
 
@@ -175,10 +177,12 @@
 
 ;; writing field
-time=timegen(7670, units='days', start=julday(1,1,1989,0)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989,0)) 
+jpt=n_elements(time)
 
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
 tt=time-julday(1,1,1950,00,00,00)
-xlon=reform(glamt(*,0) ) & ylat=reform(gphit(0,*))
+xlon=reform(glamt(*,0) ) 
+ylat=reform(gphit(0,*))
 
 ncfile='!' + fullfilename_out
Index: /trunk/src/d2m_to_q2m_erai.pro
===================================================================
--- /trunk/src/d2m_to_q2m_erai.pro	(revision 93)
+++ /trunk/src/d2m_to_q2m_erai.pro	(revision 94)
@@ -186,5 +186,6 @@
 ENDIF
 ;
-d1=19881001 & d2=20101231
+d1=19881001 
+d2=20101231
 ;
 ; build d2m filename
@@ -244,5 +245,6 @@
 initncdf, fullfilename_t2m
 t=read_ncdf("t2m", d1,d2, file=fullfilename_t2m,/nostr)
-tt=time &jpt=n_elements(time)
+tt=time 
+jpt=n_elements(time)
 help, t, td
 
@@ -270,10 +272,12 @@
 ;writing field
 ncfile='!' + fullfilename_out
-time=timegen(7670, units='days', start=julday(1,1,1989)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989)) 
+jpt=n_elements(time)
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
 
 tt=time-julday(1,1,1950,00,00,00)
-xlon=reform(glamt(*,0) ) & ylat=reform(gphit(0,*))
+xlon=reform(glamt(*,0) ) 
+ylat=reform(gphit(0,*))
 valmask=1.e20
 
Index: /trunk/src/interp_erai_dewt_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_dewt_1989_2009.pro	(revision 93)
+++ /trunk/src/interp_erai_dewt_1989_2009.pro	(revision 94)
@@ -235,10 +235,12 @@
 initncdf, fullfilename
 domdef
-latin=reform(gphit(0,*)) & lonin=reform(glamt(*,0))
+latin=reform(gphit(0,*)) 
+lonin=reform(glamt(*,0))
 print, 'lat grid ',min(latin),max(latin),latin(1)-latin(0)
 print, 'lon grid ',min(lonin),max(lonin),lonin(1)-lonin(0)
 d2min=read_ncdf("d2",19881201,20101231,file=fullfilename,/nostr)
 
-timein=time & jptin=jpt
+timein=time
+jptin=jpt
 tab=d2min(*,*,0)
 mskin=glamt*0.+1.
@@ -246,5 +248,6 @@
 initncdf, fullfilename_msk
 domdef
-latout=reform(gphit(0,*)) & lonout=reform(glamt(*,0))
+latout=reform(gphit(0,*))
+lonout=reform(glamt(*,0))
 print, 'lat grid ',min(latout),max(latout),latout(1)-latout(0)
 print, 'lon grid ',min(lonout),max(lonout),lonout(1)-lonout(0)
@@ -264,5 +267,6 @@
 endfor
 
-timein=timein & jptin=jpt
+timein=timein
+jptin=jpt
 
 initncdf, fullfilename_msk
@@ -270,5 +274,6 @@
 cda1=string(jul2date(timein(jpt-1)),format='(i8.8)')
 
-time=timegen(7670, units='days', start=julday(1,1,1989)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989)) 
+jpt=n_elements(time)
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
Index: /trunk/src/interp_erai_lwr_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_lwr_1989_2009.pro	(revision 93)
+++ /trunk/src/interp_erai_lwr_1989_2009.pro	(revision 94)
@@ -208,5 +208,6 @@
 ENDIF
 
-st=19890101 & en=20090801
+st=19890101 
+en=20090801
 
 ; build data filename
@@ -262,9 +263,11 @@
 initncdf, fullfilename
 domdef
-latin=reform(gphit(0,*)) & lonin=reform(glamt(*,0))
+latin=reform(gphit(0,*)) 
+lonin=reform(glamt(*,0))
 print, 'lat grid ',min(latin),max(latin),latin(1)-latin(0)
 print, 'lon grid ',min(lonin),max(lonin),lonin(1)-lonin(0)
 
-timein=time & jptin=jpt
+timein=time 
+jptin=jpt
 tab=lwrin(*,*,0)
 mskin=glamt*0.+1.
@@ -272,5 +275,5 @@
 initncdf, fullfilename_msk
 domdef
-latout=reform(gphit(0,*)) & lonout=reform(glamt(*,0))
+latout=reform(gphit(0,*)) lonout=reform(glamt(*,0))
 print, 'lat grid ',min(latout),max(latout),latout(1)-latout(0)
 print, 'lon grid ',min(lonout),max(lonout),lonout(1)-lonout(0)
@@ -291,10 +294,13 @@
 endfor
 
-time=timegen(7669, start=julday(1,2,1989,0), units='days') & jpt=n_elements(time)
-tt=time & jptin=jpt
+time=timegen(7669, start=julday(1,2,1989,0), units='days') 
+jpt=n_elements(time)
+tt=time 
+jptin=jpt
 cda0=string(jul2date(tt(0)),format='(i8.8)')
 cda1=string(jul2date(tt(jpt-1)),format='(i8.8)')
 tt=tt-julday(1,1,1950,00,00,00)
-xlon=reform(glamt(*,0) ) & ylat=reform(gphit(0,*))
+xlon=reform(glamt(*,0) ) 
+ylat=reform(gphit(0,*))
 
 initncdf, fullfilename_msk
Index: /trunk/src/interp_erai_msl_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_msl_1989_2009.pro	(revision 93)
+++ /trunk/src/interp_erai_msl_1989_2009.pro	(revision 94)
@@ -224,10 +224,12 @@
 initncdf, fullfilename
 domdef
-latin=reform(gphit(0,*)) & lonin=reform(glamt(*,0))
+latin=reform(gphit(0,*)) 
+lonin=reform(glamt(*,0))
 print, 'lat grid ',min(latin),max(latin),latin(1)-latin(0)
 print, 'lon grid ',min(lonin),max(lonin),lonin(1)-lonin(0)
 mslin=read_ncdf("msl",19880101,20100930,file=fullfilename,/nostr)
 
-timein=time & jptin=jpt
+timein=time 
+jptin=jpt
 tab=mslin(*,*,0)
 mskin=glamt*0.+1.
@@ -235,5 +237,6 @@
 initncdf, fullfilename_msk
 domdef
-latout=reform(gphit(0,*)) & lonout=reform(glamt(*,0))
+latout=reform(gphit(0,*)) 
+lonout=reform(glamt(*,0))
 print, 'lat grid ',min(latout),max(latout),latout(1)-latout(0)
 print, 'lon grid ',min(lonout),max(lonout),lonout(1)-lonout(0)
@@ -266,9 +269,11 @@
 endfor
 
-timein=timein & jptin=jpt
+timein=timein 
+jptin=jpt
 
 initncdf, fullfilename_msk
 ;time=julday(1,2,1989)+lindgen(7516)
-time=timegen(7670, units='days', start=julday(1,1,1989)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989)) 
+jpt=n_elements(time)
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
Index: /trunk/src/interp_erai_sst_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_sst_1989_2009.pro	(revision 93)
+++ /trunk/src/interp_erai_sst_1989_2009.pro	(revision 94)
@@ -229,17 +229,22 @@
 initncdf, fullfilename
 domdef
-latin=reform(gphit(0,*)) & lonin=reform(glamt(*,0))
+latin=reform(gphit(0,*)) 
+lonin=reform(glamt(*,0))
 print, 'lat grid ',min(latin),max(latin),latin(1)-latin(0)
 print, 'lon grid ',min(lonin),max(lonin),lonin(1)-lonin(0)
 sstkin=read_ncdf("sstk",19871201,20100930,file=fullfilename,/nostr)
 
-timein=time & jptin=jpt
+timein=time 
+jptin=jpt
 tab=sstkin(*,*,0)
-mskin=glamt*0.+1. & ind=where((tab eq 1.e9) or finite(tab,/nan)) & mskin(ind)=0.
+mskin=glamt*0.+1. 
+nind=where((tab eq 1.e9) or finite(tab,/nan)) 
+mskin(ind)=0.
 ;mskin=glamt*0.+1.
 
 initncdf, fullfilename_msk
 domdef
-latout=reform(gphit(0,*)) & lonout=reform(glamt(*,0))
+latout=reform(gphit(0,*)) 
+lonout=reform(glamt(*,0))
 print, 'lat grid ',min(latout),max(latout),latout(1)-latout(0)
 print, 'lon grid ',min(lonout),max(lonout),lonout(1)-lonout(0)
@@ -259,8 +264,10 @@
 endfor
 
-timein=timein & jptin=jpt
+timein=timein 
+jptin=jpt
 
 initncdf, fullfilename_msk
-time=timegen(7670, units='days', start=julday(1,1,1989)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989)) 
+jpt=n_elements(time)
 tt=time
 cda0=string(jul2date(time(0)),format='(i8.8)')
Index: /trunk/src/interp_erai_ws_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_ws_1989_2009.pro	(revision 93)
+++ /trunk/src/interp_erai_ws_1989_2009.pro	(revision 94)
@@ -213,5 +213,6 @@
 ENDIF
 ;
-st=19880101 & en=20100930
+st=19880101 
+en=20100930
 ;
 ; build u10 data filename
@@ -281,9 +282,11 @@
 initncdf, fullfilename
 domdef
-latin=reform(gphit(0,*)) & lonin=reform(glamt(*,0))
+latin=reform(gphit(0,*)) 
+lonin=reform(glamt(*,0))
 print, 'lat grid ',min(latin),max(latin),latin(1)-latin(0)
 print, 'lon grid ',min(lonin),max(lonin),lonin(1)-lonin(0)
 
-timein=time & jptin=jpt
+timein=time 
+jptin=jpt
 tab=u10in(*,*,0)
 mskin=glamt*0.+1.
@@ -291,5 +294,6 @@
 initncdf, fullfilename_msk
 domdef
-latout=reform(gphit(0,*)) & lonout=reform(glamt(*,0))
+latout=reform(gphit(0,*)) 
+lonout=reform(glamt(*,0))
 print, 'lat grid ',min(latout),max(latout),latout(1)-latout(0)
 print, 'lon grid ',min(lonout),max(lonout),lonout(1)-lonout(0)
@@ -318,10 +322,13 @@
 endfor
 
-time=timegen(7670, units='days', start=julday(1,1,1989)) & jpt=n_elements(time)
-tt=time & jptin=jpt
+time=timegen(7670, units='days', start=julday(1,1,1989)) 
+jpt=n_elements(time)
+tt=time 
+jptin=jpt
 cda0=string(jul2date(tt(0)),format='(i8.8)')
 cda1=string(jul2date(tt(jpt-1)),format='(i8.8)')
 tt=tt-julday(1,1,1950,00,00,00)
-xlon=reform(glamt(*,0) ) & ylat=reform(gphit(0,*))
+xlon=reform(glamt(*,0) ) 
+ylat=reform(gphit(0,*))
 
 initncdf, fullfilename_msk
Index: /trunk/src/interp_olr_30n30s_1989_2009.pro
===================================================================
--- /trunk/src/interp_olr_30n30s_1989_2009.pro	(revision 93)
+++ /trunk/src/interp_olr_30n30s_1989_2009.pro	(revision 94)
@@ -227,5 +227,6 @@
 initncdf, fullfilename
 domdef
-latin=reform(gphit(0,*)) & lonin=reform(glamt(*,0))
+latin=reform(gphit(0,*)) 
+lonin=reform(glamt(*,0))
 print, 'lat grid ',min(latin),max(latin),latin(1)-latin(0)
 print, 'lon grid ',min(lonin),max(lonin),lonin(1)-lonin(0)
@@ -234,9 +235,11 @@
 mskin=glamt*0.+1.
 
-timein=time & jptin=jpt
+timein=time 
+jptin=jpt
 
 initncdf, fullfilename_msk
 domdef
-latout=reform(gphit(0,*)) & lonout=reform(glamt(*,0))
+latout=reform(gphit(0,*)) 
+lonout=reform(glamt(*,0))
 print, 'lat grid ',min(latout),max(latout),latout(1)-latout(0)
 print, 'lon grid ',min(lonout),max(lonout),lonout(1)-lonout(0)
@@ -260,5 +263,6 @@
 
 
-timein=timein & jptin=jpt
+timein=timein 
+jptin=jpt
 
 timein=timein-julday(1,1,1950,00,00)
Index: /trunk/src/lwr_correction_ncdf.pro
===================================================================
--- /trunk/src/lwr_correction_ncdf.pro	(revision 93)
+++ /trunk/src/lwr_correction_ncdf.pro	(revision 94)
@@ -158,5 +158,6 @@
 ENDIF
 ;
-da1=19880101 & da2=20091231
+da1=19880101 
+da2=20091231
 ;
 ; build data filename
@@ -190,5 +191,6 @@
 help,lwr_mean
 
-tt=time & jpt=n_elements(time)
+tt=time 
+jpt=n_elements(time)
 caldat, time,mon,day,yea
 lwr_m=lwr*0.
@@ -219,10 +221,12 @@
 lat=reform(gphit(0,0:jpj-1))
 lon=reform(glamt(0:jpi-1,0))
-time=timegen(7670, units='days', start=julday(1,1,1989)) & jpt=n_elements(time)
+time=timegen(7670, units='days', start=julday(1,1,1989)) 
+jpt=n_elements(time)
 
 cda0=string(jul2date(time(0)),format='(i8.8)')
 cda1=string(jul2date(time(jpt-1)),format='(i8.8)')
 
-time=time-julday(1,1,1950) & jpt=n_elements(time)
+time=time-julday(1,1,1950) 
+jpt=n_elements(time)
 
 ncfile='!' + fullfilename_out
Index: /trunk/src/oaflux_mask_30n30s.pro
===================================================================
--- /trunk/src/oaflux_mask_30n30s.pro	(revision 93)
+++ /trunk/src/oaflux_mask_30n30s.pro	(revision 94)
@@ -147,7 +147,10 @@
 ; Read oaflux grid and mask
 initncdf, fullfilename_in
-lh=ncdf_lec(fullfilename_in,var='lhtfl',count=[jpi,jpj,1]) & lh=float(lh)
+lh=ncdf_lec(fullfilename_in,var='lhtfl',count=[jpi,jpj,1]) 
+lh=float(lh)
 valmask=1.e20
-ind=where(lh ge 32000,compl=nind) & lh(ind)=valmask & lh(nind)=-0.1*lh(nind)
+ind=where(lh ge 32000,compl=nind) 
+lh(ind)=valmask 
+lh(nind)=-0.1*lh(nind)
 mask_out=(lh ne valmask)
 domdef, 0.,360.,-30.,30.
Index: /trunk/src/paper01/fig1/fig1_no_obs_map.pro
===================================================================
--- /trunk/src/paper01/fig1/fig1_no_obs_map.pro	(revision 93)
+++ /trunk/src/paper01/fig1/fig1_no_obs_map.pro	(revision 94)
@@ -112,7 +112,13 @@
 
 yr=365.
-lh_mi=365/yr & lh_ma=3285/yr & lh_int=0.25
-sw_mi=365/yr & sw_ma=3285/yr & sw_int=0.25
-lw_mi=365/yr & lw_ma=1460/yr & lw_int=0.125
+lh_mi=365/yr 
+lh_ma=3285/yr 
+lh_int=0.25
+sw_mi=365/yr 
+sw_ma=3285/yr 
+sw_int=0.25
+lw_mi=365/yr 
+lw_ma=1460/yr 
+lw_int=0.125
 lct=65
 
@@ -129,5 +135,6 @@
 no=reform(ff(2,*))
 no=no/yr
-;ind=where(no ge lh_ma) & no(ind)=no-0.5
+;ind=where(no ge lh_ma) 
+; no(ind)=no-0.5
 
 marge1=[0,0,-5,0]
@@ -142,5 +149,7 @@
   y=lat[n]
   c=no[n]
-  cmi=lh_mi & cma=lh_ma & dc=cma-cmi
+  cmi=lh_mi 
+  cma=lh_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -164,5 +173,6 @@
 no=reform(ff(2,*))
 no=no/yr
-;ind=where(no ge sw_ma) & no(ind)=sw_ma-0.5
+;ind=where(no ge sw_ma) 
+;no(ind)=sw_ma-0.5
 marge1=[0,0,-5,0]
 plt, .4+msk*1.e-5,realcont=2,/nocont,/nofill,xminor=1,yminor=1,box=box,lct=lct, sw_mi, sw_ma, int=sw_int, $
@@ -176,5 +186,7 @@
   y=lat[n]
   c=no[n]
-  cmi=sw_mi & cma=sw_ma & dc=cma-cmi
+  cmi=sw_mi 
+  cma=sw_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -198,5 +210,6 @@
 no=reform(ff(2,*))
 no=no/yr
-;ind=where(no ge lw_ma) & no(ind)=lw_ma-0.25
+;ind=where(no ge lw_ma) 
+;no(ind)=lw_ma-0.25
 
 marge1=[0,0,-5,0]
@@ -211,5 +224,7 @@
   y=lat[n]
   c=no[n]
-  cmi=lw_mi & cma=lw_ma & dc=cma-cmi
+  cmi=lw_mi 
+  cma=lw_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
Index: /trunk/src/paper01/fig10/fig10_swr_correction.pro
===================================================================
--- /trunk/src/paper01/fig10/fig10_swr_correction.pro	(revision 93)
+++ /trunk/src/paper01/fig10/fig10_swr_correction.pro	(revision 94)
@@ -101,5 +101,6 @@
 
 ab=linfit(mean, bias,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean, yfit, thick=3
 print, a,b
@@ -120,5 +121,6 @@
 
 ab=linfit(mean, std,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean, yfit, thick=3
 
Index: /trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro
===================================================================
--- /trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro	(revision 93)
+++ /trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro	(revision 94)
@@ -105,5 +105,6 @@
 
 openps, FILENAME = project_od_env+'correlation_rmsd_olra_swra_smooth.ps'
-st=19890101 & en=20071231
+st=19890101 
+en=20071231
 
 restore, project_od_env + "correlation_isccp_olr.idl"
Index: /trunk/src/paper01/fig11/swr_isccp_tropflux_new_v1.pro
===================================================================
--- /trunk/src/paper01/fig11/swr_isccp_tropflux_new_v1.pro	(revision 93)
+++ /trunk/src/paper01/fig11/swr_isccp_tropflux_new_v1.pro	(revision 94)
@@ -104,5 +104,6 @@
 
 openps, FILENAME = project_od_env+'correlation_rmsd_olra_swra_smooth.ps'
-st=19890101 & en=20071231
+st=19890101 
+en=20071231
 
 file=project_od_env+'swr_oafluxgrid_1985_2007.nc'
@@ -132,6 +133,9 @@
 nsmooth=45
 
-swi=[[[swi]],[[swi]],[[swi]]] & olri=[[[olri]],[[olri]],[[olri]]]
-si=size(sw) & n1=si(1) & n2=si(2)
+swi=[[[swi]],[[swi]],[[swi]]] 
+olri=[[[olri]],[[olri]],[[olri]]]
+si=size(sw) 
+n1=si(1) 
+n2=si(2)
 
 for j=0,n2-1 do begin
@@ -144,9 +148,11 @@
 endfor
 
-swi=swi[*,*,365:365+364] & olri=olri[*,*,365:365+364]
+swi=swi[*,*,365:365+364] 
+olri=olri[*,*,365:365+364]
 help, swi, olri
 
 caldat, time,mon,day,yea
-swm=olr*0. & olrm=olr*0.
+swm=olr*0. 
+olrm=olr*0.
 for jt=0,jpt-1 do begin
   jtt=(time(jt)-julday(1,1,yea(jt))) < 364
@@ -160,5 +166,6 @@
 m=reform(sw_trop(*,*,0))
 tmask=finite(m)
-cor_olr=fltarr(jpi,jpj)+!values.f_nan & rms_olr=fltarr(jpi,jpj)+!values.f_nan
+cor_olr=fltarr(jpi,jpj)+!values.f_nan 
+rms_olr=fltarr(jpi,jpj)+!values.f_nan
 
 for jj=0,jpj-1 do begin
@@ -177,5 +184,6 @@
 endfor
 
-cor=fltarr(jpi,jpj)+!values.f_nan & rms=fltarr(jpi,jpj)+!values.f_nan
+cor=fltarr(jpi,jpj)+!values.f_nan 
+rms=fltarr(jpi,jpj)+!values.f_nan
 for jj=1,jpj-2 do begin
   for ji=1,jpi-2 do begin
@@ -188,5 +196,6 @@
 save, cor, cor_olr, filename=project_od_env + 'correlation_isccp_olr.idl'
 
-lct=64 & cs=0.9
+lct=64 
+cs=0.9
 marge1=[0,0,-5,0]
 help, cor
Index: /trunk/src/paper01/fig12/swr_statistics_map_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig12/swr_statistics_map_2000_2009_v50.pro	(revision 93)
+++ /trunk/src/paper01/fig12/swr_statistics_map_2000_2009_v50.pro	(revision 94)
@@ -82,8 +82,16 @@
 openps, FILENAME = project_od_env+'swr_statistics_map_2000_2009_v50.ps'
 ; partie a changer
-bias_mi=-20 & bias_ma=20 & bias_int=2
-std_mi=0.7   & std_ma=1.31  & std_int=0.05
-rmsd_mi=10  & rmsd_ma=30 & rmsd_int=1.25
-cor_mi=0.5   & cor_ma=1.  & cor_int=0.02
+bias_mi=-20 
+bias_ma=20 
+bias_int=2
+std_mi=0.7   
+std_ma=1.31  
+std_int=0.05
+rmsd_mi=10  
+rmsd_ma=30 
+rmsd_int=1.25
+cor_mi=0.5   
+cor_ma=1.  
+cor_int=0.02
 fi_swr_erai=project_id_env+'swr_2000_2009_erai_v50.txt'
 fi_swr_trop=project_id_env+'swr_2000_2009_trop_v50.txt'
@@ -100,6 +108,8 @@
 rmsd_era=reform(ff(5,*))
 
-ind=where(bias_era ge bias_ma) & bias_era(ind)=bias_ma-0.5
-ind=where(rmsd_era ge rmsd_ma) & rmsd_era(ind)=rmsd_ma-0.5
+ind=where(bias_era ge bias_ma) 
+bias_era(ind)=bias_ma-0.5
+ind=where(rmsd_era ge rmsd_ma) 
+rmsd_era(ind)=rmsd_ma-0.5
 
 res=read_ascii(fi_swr_trop,data_start=1)
@@ -111,5 +121,6 @@
 std_trop=reform(ff(4,*))
 rmsd_trop=reform(ff(5,*))
-ind=where(rmsd_trop ge rmsd_ma) & rmsd_trop(ind)=rmsd_ma-0.5
+ind=where(rmsd_trop ge rmsd_ma) 
+rmsd_trop(ind)=rmsd_ma-0.5
 
 res=read_ascii(fi_swr_oaflx,data_start=1)
@@ -121,5 +132,6 @@
 std_oaflx=reform(ff(4,*))
 rmsd_oaflx=reform(ff(5,*))
-ind=where(rmsd_oaflx ge rmsd_ma) & rmsd_oaflx(ind)=rmsd_ma-0.5
+ind=where(rmsd_oaflx ge rmsd_ma) 
+rmsd_oaflx(ind)=rmsd_ma-0.5
 
 res=read_ascii(fi_swr_olr,data_start=1)
@@ -131,7 +143,9 @@
 std_olr=reform(ff(4,*))
 rmsd_olr=reform(ff(5,*))
-ind=where(rmsd_olr ge rmsd_ma) & rmsd_olr(ind)=rmsd_ma-0.5
-
-;ind=where(std_olr ge std_ma) & std_olr(ind)=std_ma-0.01
+ind=where(rmsd_olr ge rmsd_ma) 
+rmsd_olr(ind)=rmsd_ma-0.5
+
+;ind=where(std_olr ge std_ma) 
+;std_olr(ind)=std_ma-0.01
 file=project_id_env+'longwave_IO_mask.nc'
 initncdf, file
@@ -152,5 +166,7 @@
   y=lat(n)
   c=cor_trop(n)
-  cmi=cor_mi & cma=cor_ma & dc=cma-cmi
+  cmi=cor_mi 
+  cma=cor_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -177,5 +193,7 @@
   y=lat(n)
   c=cor_era(n)
-  cmi=cor_mi & cma=cor_ma & dc=cma-cmi
+  cmi=cor_mi 
+  cma=cor_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -202,5 +220,7 @@
   y=lat(n)
   c=cor_oaflx(n)
-  cmi=cor_mi & cma=cor_ma & dc=cma-cmi
+  cmi=cor_mi 
+  cma=cor_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -227,5 +247,7 @@
   y=lat(n)
   c=cor_olr(n)
-  cmi=cor_mi & cma=cor_ma & dc=cma-cmi
+  cmi=cor_mi 
+  cma=cor_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -255,5 +277,7 @@
   y=lat(n)
   c=bias_trop(n)
-  cmi=bias_mi & cma=bias_ma & dc=cma-cmi
+  cmi=bias_mi 
+  cma=bias_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -280,5 +304,7 @@
   y=lat(n)
   c=bias_era(n)
-  cmi=bias_mi & cma=bias_ma & dc=cma-cmi
+  cmi=bias_mi 
+  cma=bias_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -307,5 +333,7 @@
   y=lat(n)
   c=bias_oaflx(n)
-  cmi=bias_mi & cma=bias_ma & dc=cma-cmi
+  cmi=bias_mi 
+  cma=bias_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -334,5 +362,7 @@
   y=lat(n)
   c=bias_olr(n)
-  cmi=bias_mi & cma=bias_ma & dc=cma-cmi
+  cmi=bias_mi 
+  cma=bias_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -363,5 +393,7 @@
   y=lat(n)
   c=rmsd_trop(n)
-  cmi=rmsd_mi & cma=rmsd_ma & dc=cma-cmi
+  cmi=rmsd_mi 
+  cma=rmsd_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -388,5 +420,7 @@
   y=lat(n)
   c=rmsd_era(n)
-  cmi=rmsd_mi & cma=rmsd_ma & dc=cma-cmi
+  cmi=rmsd_mi 
+  cma=rmsd_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -413,5 +447,7 @@
   y=lat(n)
   c=rmsd_oaflx(n)
-  cmi=rmsd_mi & cma=rmsd_ma & dc=cma-cmi
+  cmi=rmsd_mi 
+  cma=rmsd_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -439,5 +475,7 @@
   y=lat(n)
   c=rmsd_olr(n)
-  cmi=rmsd_mi & cma=rmsd_ma & dc=cma-cmi
+  cmi=rmsd_mi 
+  cma=rmsd_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -465,5 +503,7 @@
   y=lat(n)
   c=std_trop(n)
-  cmi=std_mi & cma=std_ma & dc=cma-cmi
+  cmi=std_mi 
+  cma=std_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -490,5 +530,7 @@
   y=lat(n)
   c=std_era(n)
-  cmi=std_mi & cma=std_ma & dc=cma-cmi
+  cmi=std_mi 
+  cma=std_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -516,5 +558,7 @@
   y=lat(n)
   c=std_oaflx(n)
-  cmi=std_mi & cma=std_ma & dc=cma-cmi
+  cmi=std_mi 
+  cma=std_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
@@ -542,5 +586,7 @@
   y=lat(n)
   c=std_olr(n)
-  cmi=std_mi & cma=std_ma & dc=cma-cmi
+  cmi=std_mi 
+  cma=std_ma 
+  dc=cma-cmi
   col=((10+244*(c-cmi)/dc) > 10) < 254
   plots, x,y,psym=8,symsize=1.5,color=col
